Summary:        Library for property based testing
Name:           python-hypothesis
Version:        6.87.0
Release:        4%{?dist}
License:        MPLv2.0
URL:            https://github.com/HypothesisWorks/hypothesis
Source0:        %{url}/archive/hypothesis-python-%{version}/hypothesis-%{version}.tar.gz

BuildRequires:  python3-devel pyproject-rpm-macros

BuildArch:      noarch


%description
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.


%package     -n python3-hypothesis
Summary:        Library for property based testing

%description -n python3-hypothesis
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+cli
Summary:        %{summary}

%description -n python3-hypothesis+cli
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+ghostwriter
Summary:        %{summary}

%description -n python3-hypothesis+ghostwriter
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+pytz
Summary:        %{summary}

%description -n python3-hypothesis+pytz
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+dateutil
Summary:        %{summary}

%description -n python3-hypothesis+dateutil
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+lark
Summary:        %{summary}

%description -n python3-hypothesis+lark
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+numpy
Summary:        %{summary}

%description -n python3-hypothesis+numpy
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+pandas
Summary:        %{summary}

%description -n python3-hypothesis+pandas
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+pytest
Summary:        %{summary}

%description -n python3-hypothesis+pytest
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+redis
Summary:        %{summary}

%description -n python3-hypothesis+redis
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+zoneinfo
Summary:        %{summary}

%description -n python3-hypothesis+zoneinfo
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+django
Summary:        %{summary}

%description -n python3-hypothesis+django
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.

%package     -n python3-hypothesis+codemods
Summary:        %{summary}

%description -n python3-hypothesis+codemods
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.




%prep
%autosetup -n hypothesis-hypothesis-python-%{version}/hypothesis-python
sed -i -e '/sphinx.ext.intersphinx/d' docs/conf.py
sed -i -e '/sphinx_codeautolink/d' docs/conf.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hypothesis '_hypothesis_*'


%files -n python3-hypothesis -f %{pyproject_files}
%license ../LICENSE.txt
%doc README.rst
%{_bindir}/hypothesis

%files -n python3-hypothesis+cli
%{python3_sitelib}/*

%files -n python3-hypothesis+ghostwriter
%{python3_sitelib}/*

%files -n python3-hypothesis+pytz
%{python3_sitelib}/*

%files -n python3-hypothesis+dateutil
%{python3_sitelib}/*

%files -n python3-hypothesis+lark
%{python3_sitelib}/*

%files -n python3-hypothesis+numpy
%{python3_sitelib}/*

%files -n python3-hypothesis+pandas
%{python3_sitelib}/*

%files -n python3-hypothesis+pytest
%{python3_sitelib}/*

%files -n python3-hypothesis+redis
%{python3_sitelib}/*

%files -n python3-hypothesis+zoneinfo
%{python3_sitelib}/*

%files -n python3-hypothesis+django
%{python3_sitelib}/*

%files -n python3-hypothesis+codemods
%{python3_sitelib}/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.87.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.87.0-3
- Rebuilt for loongarch release

* Thu Sep 28 2023 cunshunxia <cunshunxia@tencent.com> - 6.87.0-2
- add sub packages.

* Wed Sep 27 2023 cunshunxia <cunshunxia@tencent.com> - 6.87.0-1
- Upgrade to version 6.87.0

* Mon Sep 25 2023 kianli <kianli@tencent.com> - 6.82.7-1
- Upgrade to 6.82.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.47.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.47.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.47.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Miaojun Dong <zoedong@tencent.com> - 6.47.1-1
- initial build
